%define name	qmmp-plugins
%define version	1.2.0
%define release	%mkrel 1
%define summary	Plugins for Qmmp

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
Summary(de):	Erweiterungen für Qmmp
Source0:	qmmp-plugin-pack-%{version}.tar.xz
License:	GPLv2+
Group:		Sound
Url:		http://qmmp.ylsoftware.com/plugins.php
BuildRoot:	%{_tmppath}/qmmp-plugin-pack-%{version}-%{release}-buildroot
BuildRequires:	qmmp-devel
BuildRequires:	taglib-devel
BuildRequires:	%{_lib}mpg123-devel
BuildRequires:	cmake
BuildRequires:	yasm
BuildRequires:	qtcore5-devel
BuildRequires:	qtgui5-devel
BuildRequires:	qtwidgets5-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libxmp-devel

%description
This package contains plugins for Qmmp.

%description -l de
Dieses Paket enthält Erweiterungen für Qmmp.

############################################

%package -n %{name}-mpg123
Group:		Sound
Summary:	Qmmp plugin which uses libmpg123 for decoding of MPEG v1/2 layer1/2/3 files
Summary(de):	Qmmp Erweiterung, welche libmpg123 für die Dekodierung von MPEG v1/2 Layer 1/2/3 Dateien nutzt.
Requires:	qmmp >= %{version}

%description -n %{name}-mpg123
Qmmp plugin which uses libmpg123 for decoding of MPEG v1/2 layer1/2/3 files

%description -n %{name}-mpg123 -l de
Qmmp Erweiterung, welche libmpg123 für die Dekodierung von MPEG v1/2 Layer 1/2/3 Dateien nutzt.

############################################

%package -n %{name}-ffap
Group:		Sound
Summary:	Enhanced Monkey's Audio (APE) decoder (24-bit samples and embedded cue support)
Summary(de):	Verbesserter Monkey Audio (APE) Dekoder (24-bit Samples und integrierte CUE Unterstützung)
Requires:	qmmp >= %{version}

%description -n %{name}-ffap
Enhanced Monkey's Audio (APE) decoder (24-bit samples and embedded cue support)

%description -n %{name}-ffap -l de
Verbesserter Monkey Audio (APE) Dekoder (24-bit Samples und integrierte CUE Unterstützung)

############################################

%package -n %{name}-samplerateconverter
Group:		Sound
Summary:	Sample Rate Converter - resampler based on libsamplerate library
Summary(de):	Resampler, der auf der libsamplerate-Bibliothek basiert
Requires:	qmmp >= %{version}

%description -n %{name}-samplerateconverter
Sample Rate Converter - resampler based on libsamplerate library

%description -n %{name}-samplerateconverter -l de
Resampler, der auf der libsamplerate-Bibliothek basiert

############################################

%package -n %{name}-history
Group:		Sound
Summary:	A tool for collection of information about listened tracks
Summary(de):	Ein Werkzeug zum Sammeln von Informationen über gehörte Lieder
Requires:	qmmp >= %{version}

%description -n %{name}-history
A tool for collection of information about listened tracks

%description -n %{name}-history -l de
Ein Werkzeug zum Sammeln von Informationen über gehörte Lieder

############################################

%package -n %{name}-ffvideo
Group:		Sound
Summary:	Video playback engine based on FFmpeg library
Summary(de):	Engine zum Abspiele von Video mit Hilfe der FFmpeg-Bibliothek
Requires:	qmmp >= %{version}

%description -n %{name}-ffvideo
Video playback engine based on FFmpeg library

%description -n %{name}-ffvideo -l de
Engine zum Abspiele von Video mit Hilfe der FFmpeg-Bibliothek

############################################

%package -n %{name}-goom
Group:		Sound
Summary:	Audio visualization based on goom project
Summary(de):	Audiovisualisierung basierend auf dem Goom-Projekt
Requires:	qmmp >= %{version}

%description -n %{name}-goom
Audio visualization based on goom project

%description -n %{name}-goom -l de
Audiovisualisierung basierend auf dem Goom-Projekt

############################################

%package -n %{name}-xmp
Group:		Sound
Summary:	Module player with use of the libxmp library
Summary(de):	Modulplayer, der die libxmp-Bibliothek nutzt
Requires:	qmmp >= %{version}

%description -n %{name}-xmp
Module player with use of the libxmp library

%description -n %{name}-xmp -l de
Modulplayer, der die libxmp-Bibliothek nutzt

############################################

%prep
%setup -qn qmmp-plugin-pack-%version

%build

%cmake_qt5
%make %{?_smp_mflags}

%install
rm -rf %{buildroot}
pushd build
%makeinstall_std
popd
%clean
rm -rf %{buildroot}

%files -n %{name}-mpg123
%defattr(0644,root,root,0755)
%{_libdir}/qmmp/Input/libmpg123.so

%files -n %{name}-ffap
%defattr(0644,root,root,0755)
%{_libdir}/qmmp/Input/libffap.so

%files -n %{name}-samplerateconverter
%defattr(0644,root,root,0755)
%{_libdir}/qmmp/Effect/libsrconverter.so

%files -n %{name}-history
%defattr(0644,root,root,0755)
%{_libdir}/qmmp/General/libhistory.so

%files -n %{name}-ffvideo
%defattr(0644,root,root,0755)
%{_libdir}/qmmp/Engines/libffvideo.so

%files -n %{name}-goom
%defattr(0644,root,root,0755)
%{_libdir}/qmmp/Visual/libgoom.so

%files -n %{name}-xmp
%defattr(0644,root,root,0755)
%{_libdir}/qmmp/Input/libxmp.so

%changelog
* Mon Jul 02 2018 adrianomorselli <adrianomorselli> 1.2.0-1uplos2018
- update 
- add history, ffvideo, goom and xmp package
